geos::geomgraph::EdgeList Class Referencefinal

A EdgeList is a list of Edges. More...

`#include <EdgeList.h>`

## Public Member Functions

void | add (Edge *e)
void | addAll (const std::vector< Edge * > &edgeColl)
std::vector< Edge * > & | getEdges ()
Edge * | findEqualEdge (const Edge *e) const
Edge * | get (std::size_t i)
int | findEdgeIndex (const Edge *e) const
std::string | print ()
void | clearList ()

## Friends

std::ostream & | operator<< (std::ostream &os, const EdgeList &el)

## Detailed Description

A EdgeList is a list of Edges.

It supports locating edges that are pointwise equals to a target edge.

## Member Function Documentation

## add()

void geos::geomgraph::EdgeList::add | ( | Edge * | e | ) |

Insert an edge unless it is already in the list

The documentation for this class was generated from the following file:

- EdgeList.h